NAME
	allocate_array - allocate an array

SYNTAX
	#include "array.h"

	struct array *allocate_array(INT32 size);

DESCRIPTION
	This function allocates an array of size 'size'. The returned
	array will have 'size' struct svalues in the member 'item'.
	The array can contain any svalue, and the type field will be
	initalized to -1.

NOTA BENE
	When building arrays, it is recommended that you push the values
	on the stack and call aggregate_array or f_aggregate instead of
	allocating and filling in the values 'by hand'.

KEYWORDS
	array